Skip to main content
GET
/
vendors
/
midjourney
/
v1
/
tob
/
diffusion
/
{task_id}
Get Diffusion Task Status
curl --request GET \
  --url https://api.mulerun.com/vendors/midjourney/v1/tob/diffusion/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "images": [
    "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-1.png",
    "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-2.png",
    "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-3.png",
    "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-4.png"
  ],
  "task_info": {
    "id": "079c5ad5-3b81-4eee-af06-4d85029899d0",
    "status": "completed",
    "created_at": "2025-09-21T00:00:00.000Z",
    "updated_at": "2025-09-21T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://mulerun.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

The prompt parameter is compatible with Midjourney’s format. Please refer to Midjourney’s official documentation for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

The UUID of the task to retrieve

Response

Task completed successfully

task_info
object
required
images
string<uri>[]
required

List of generated image URLs

URL of the generated image

Example:
[
"https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-1.png",
"https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-2.png",
"https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-3.png",
"https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0-4.png"
]